> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/meal-plans/delete-meals.md).

# Delete Meals

Deletes all meals within the specified dates. By default, the meals are deleted from the active meal plan, unless a `meal_plan_id` is specified.

## Delete Meals

<mark style="color:red;">`DELETE`</mark> `https://graph.whisk.com/mealplan/v2`

#### Request Body

| Name            | Type    | Description                                                                                                                    |
| --------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------ |
| period          | object  | An object with `from` and `to` dates representing the date range period of meals to be deleted.                                |
| meal\_plan\_id  | string  | The meal plan identifier from which meals are to be deleted. By default the active meal plan will be used to delete the meals. |
| generated\_only | boolean | Indicates that only automatically generated meals are to be deleted. Default value is `false`.                                 |

{% tabs %}
{% tab title="200 Upon success, the method returns an empty response." %}

```
```

{% endtab %}
{% endtabs %}

## Sample Request

```bash
curl "https://graph.whisk.com/mealplan/v2" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>" \
    -d '{
        "period": {
            "from": {
                "year": 2020,
                "month": 3,
                "day": 10
            },
            "to": {
                "year": 2020,
                "month": 3,
                "day": 17
            }
        },
        "generated_only": true
    }'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/master/api/meal-plans/delete-meals.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
